cascading.flow.hadoop

## Class HadoopFlowConnector

- java.lang.Object
- - cascading.flow.FlowConnector
  - - cascading.flow.hadoop.HadoopFlowConnector

-     public class HadoopFlowConnector
      extends FlowConnector

  Use the HadoopFlowConnector to link source and sink `Tap` instances with an assembly of `Pipe` instances into an executable `HadoopFlow` for execution on an Apache Hadoop cluster.
  See Also:
    `AppProps`, `FlowConnectorProps`, `FlowDef`, `MapReduceFlow`

- - ### Field Summary

    - ### Fields inherited from class cascading.flow.FlowConnector

      `properties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HadoopFlowConnector()` Constructor HadoopFlowConnector creates a new HadoopFlowConnector instance.
    `HadoopFlowConnector(Map<Object,Object> properties)` Constructor HadoopFlowConnector creates a new HadoopFlowConnector instance using the given `Properties` instance as default value for the underlying jobs.
    `HadoopFlowConnector(Map<Object,Object> properties, RuleRegistrySet ruleRegistrySet)` Constructor HadoopFlowConnector creates a new HadoopFlowConnector instance using the given `Properties` instance as default value for the underlying jobs.
    `HadoopFlowConnector(RuleRegistrySet ruleRegistrySet)` Constructor HadoopFlowConnector creates a new HadoopFlowConnector instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected RuleRegistrySet` | `createDefaultRuleRegistrySet()`
    `protected FlowPlanner` | `createFlowPlanner()`
    `protected Class<? extends Scheme>` | `getDefaultIntermediateSchemeClass()`

    - ### Methods inherited from class cascading.flow.FlowConnector

      `connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, getIntermediateSchemeClass, getPlatformInfo, getProperties, getRuleRegistrySet`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HadoopFlowConnector

          public HadoopFlowConnector()

      Constructor HadoopFlowConnector creates a new HadoopFlowConnector instance.

      All properties passed to Hadoop are retrieved from a default instantiation of the Hadoop `JobConf` which pulls all properties from the local CLASSPATH.

    - #### HadoopFlowConnector

          @ConstructorProperties(value="properties")
          public HadoopFlowConnector(Map<Object,Object> properties)

      Constructor HadoopFlowConnector creates a new HadoopFlowConnector instance using the given `Properties` instance as default value for the underlying jobs. All properties are copied to a new native configuration instance.
      Parameters:
        `properties` - of type Map

    - #### HadoopFlowConnector

          @ConstructorProperties(value="ruleRegistrySet")
          public HadoopFlowConnector(RuleRegistrySet ruleRegistrySet)

      Constructor HadoopFlowConnector creates a new HadoopFlowConnector instance.

      All properties passed to Hadoop are retrieved from a default instantiation of the Hadoop `JobConf` which pulls all properties from the local CLASSPATH.
      Parameters:
        `ruleRegistrySet` - of type RuleRegistry

    - #### HadoopFlowConnector

          @ConstructorProperties(value={"properties","ruleRegistrySet"})
          public HadoopFlowConnector(Map<Object,Object> properties,
                                                        RuleRegistrySet ruleRegistrySet)

      Constructor HadoopFlowConnector creates a new HadoopFlowConnector instance using the given `Properties` instance as default value for the underlying jobs. All properties are copied to a new native configuration instance.
      Parameters:
        `properties` - of type Map
        `ruleRegistrySet` - of type RuleRegistry

  - ### Method Detail

    - #### getDefaultIntermediateSchemeClass

          protected Class<? extends Scheme> getDefaultIntermediateSchemeClass()

      Specified by:
        `getDefaultIntermediateSchemeClass` in class `FlowConnector`

    - #### createFlowPlanner

          protected FlowPlanner createFlowPlanner()

      Specified by:
        `createFlowPlanner` in class `FlowConnector`

    - #### createDefaultRuleRegistrySet

          protected RuleRegistrySet createDefaultRuleRegistrySet()

      Specified by:
        `createDefaultRuleRegistrySet` in class `FlowConnector`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.